IncludedContent (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.util
[Java] Class IncludedContent

    java.lang.Object
      org.codehaus.groovy.grails.web.util.IncludedContent

All Implemented Interfaces:
  groovy.lang.Writable

    public class IncludedContent
    extends java.lang.Object

Represents some content that has been used in an include request.

Authors:
  Graeme Rocher

Since:
  1.1.1

Constructor Summary
`IncludedContent(java.lang.String contentType, java.lang.Object content)`
`IncludedContent(java.lang.String redirectURL)`

Method Summary
`java.lang.Object` | `getContent()` Returns the included content
`char[]` | `getContentAsCharArray()`
`java.lang.String` | `getContentType()` Returns the included content type (default is text/html;charset=UTF=8)
`java.lang.String` | `getRedirectURL()` Returns the URL of a redirect if a redirect was issue in the Include otherwise it returns null if there was no redirect.
`java.io.Writer` | `writeTo(java.io.Writer target)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### IncludedContent

    public IncludedContent(java.lang.String contentType, java.lang.Object content)

### IncludedContent

    public IncludedContent(java.lang.String redirectURL)

Method Detail

### getContent

    public java.lang.Object getContent()

  Returns the included content
  Returns:
    The content

### getContentAsCharArray

    public char[] getContentAsCharArray()

### getContentType

    public java.lang.String getContentType()

  Returns the included content type (default is text/html;charset=UTF=8)
  Returns:
    The content type

### getRedirectURL

    public java.lang.String getRedirectURL()

  Returns the URL of a redirect if a redirect was issue in the Include otherwise it returns null if there was no redirect.
  Returns:
    The redirect URL

### writeTo

    public java.io.Writer writeTo(java.io.Writer target)

Groovy Documentation